- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Private Member Functions | Private Attributes | List of all members
libwps::StreamIO Class Reference

## Public Member Functions
| StreamIO (StorageIO *io, DirEntry *entry)
| ~StreamIO ()
unsigned long | size ()
unsigned long | tell ()
unsigned long | read (unsigned char *data, unsigned long maxlen)
unsigned long | read (unsigned long pos, unsigned char *data, unsigned long maxlen)

## Public Attributes
StorageIO * | io
DirEntry * | entry
std::string | fullName
bool | eof
bool | fail

## Private Member Functions
| StreamIO (const StreamIO &)
StreamIO & | operator= (const StreamIO &)
void | updateCache ()

## Private Attributes
std::vector< unsigned long > | blocks
unsigned long | m_pos
std::vector< unsigned char > | cache_data
unsigned long | cache_size
unsigned long | cache_pos

## Constructor & Destructor Documentation

libwps::StreamIO::StreamIO | ( | libwps::StorageIO * | s,
|  | libwps::DirEntry * | e
| ) |  |

libwps::StreamIO::~StreamIO | ( |  | ) |

libwps::StreamIO::StreamIO | ( | const StreamIO & |  | ) |
| private

## Member Function Documentation

StreamIO& libwps::StreamIO::operator= | ( | const StreamIO & |  | ) |
| private

unsigned long libwps::StreamIO::read | ( | unsigned char * | data,
|  | unsigned long | maxlen
| ) |  |

unsigned long libwps::StreamIO::read | ( | unsigned long | pos,
|  | unsigned char * | data,
|  | unsigned long | maxlen
| ) |  |

unsigned long libwps::StreamIO::size | ( |  | ) |

unsigned long libwps::StreamIO::tell | ( |  | ) |

void libwps::StreamIO::updateCache | ( |  | ) |
| private

Referenced by StreamIO().

## Member Data Documentation

std::vector<unsigned long> libwps::StreamIO::blocks
| private

Referenced by StreamIO().

std::vector<unsigned char> libwps::StreamIO::cache_data
| private

Referenced by StreamIO().

unsigned long libwps::StreamIO::cache_pos
| private

unsigned long libwps::StreamIO::cache_size
| private

Referenced by StreamIO().

DirEntry* libwps::StreamIO::entry

Referenced by StreamIO().

bool libwps::StreamIO::eof

bool libwps::StreamIO::fail

std::string libwps::StreamIO::fullName

Referenced by libwps::StorageIO::streamIO().

StorageIO* libwps::StreamIO::io

Referenced by StreamIO().

unsigned long libwps::StreamIO::m_pos
| private

The documentation for this class was generated from the following file:

- WPSOLEStream.cpp